import click
from netdb_client.api41 import APIEndpoint, APISession, dns

from netdb_client.util.click import netdb_api_options


@click.command(context_settings={'help_option_names': ['-h', '--help'], 'max_content_width': 160})
@netdb_api_options()
def main(netdb_api_endpoint):
    netdb_api = APISession(netdb_api_endpoint)

    fqdn = dns.Fqdn.list(netdb_api, value_old='net.scc.kit.edu')

    print(fqdn)


if __name__ == '__main__':
    main()
