"""netdb_client helper functions for configuration and response-parsing"""
from .argparse import ArgumentParser  # for backwards compatibility

__all__ = ['ArgumentParser', 'list_to_generator_map_one2one', 'list_to_generator_map_one2many']


def list_to_generator_map_one2one(array, key_name):
    """Mapping function to convert list of dicts to a mapping with value as key for each dict
    (1 to 1 Mapping). Returns a generator object."""
    return ((item[key_name], item) for item in array)


def list_to_generator_map_one2many(array, key_name):
    """Mapping function to convert list of dicts to a mapping with values as key for each lists
     (1 to n Mapping). Returns a generator object."""
    res = {}
    for item in array:
        if not item[key_name] in res:
            res[item[key_name]] = []
        res[item[key_name]].append(item)
    for key, value in res.items():
        yield key, value
